-- ****************************************
-- 创建人员: 杨坤安
-- 创建日期: 2024-07-22
-- 功   能: 帆软明细报表-项目明细弹窗
-- 目   录: xianzuan>2_运营>项目明细弹窗.fvs
-- ****************************************

-- 【数据集: report_project】

-- SELECT
--
-- -- ${if(len(p_area) == 0,"t.organ_name","t.comm_name")} as p_area  -- 片区/项目
--   t.organ_name as organ_name          -- erp片区名称
--  ,t.comm_name as comm_name            -- erp项目名称
-- ,${if(len(p_area) == 0,"'-'","t.ManageKindName")} as ManageKindName  -- 管理性质名称 【项目归属】
-- ,${if(len(p_area) == 0,"'-'","t.StateName")} as StateName  -- 业态  【项目业态】
-- ,sum(t.ContractArea) as ContractArea     -- 合同面积 【建筑面积】
-- ,sum(t.TakeOverArea) as TakeOverArea     -- 接管面积 【合约面积】
-- ,sum(t.ManageContractArea) as ManageContractArea   -- 管理口径合同面积  【在管面积】
-- ,sum(t.room_num) as room_num        -- 总户数
-- FROM
-- (
SELECT
  --  ${if(len(p_area) == 0,"B.organ_name","B.comm_name")} as p_area
  --    ,A.CommId             AS CommId             -- 项目id  可关联maping表
  -- ${if(len(p_area) == 0,",'-'",",A.ManageKindName")} as newManageKind
  --   ,A.ManageKind         AS ManageKind         -- 管理性质 【项目归属】
      A.ManageKindName     AS ManageKindName     -- 管理性质名称 【项目归属】
     ,A.ContractArea / 10000     AS ContractArea       -- 合同面积 【建筑面积】
     ,A.TakeOverArea / 10000     AS TakeOverArea       -- 接管面积 【合约面积】
     ,A.ManageContractArea / 10000  AS ManageContractArea -- 管理口径合同面积  【在管面积】
   --  ${if(len(p_area) == 0,",'-'",",A.StateName")} as newStateName
     ,A.StateName          AS StateName          -- 业态  【项目业态】
     ,C.room_num           AS room_num           -- 总户数
    -- ,A.Province           AS Province           -- 省
    -- ,A.City               AS City               -- 市
    -- ,A.County             AS County             -- 区
    -- ,B.organ_code         AS organ_code         -- erp片区id
     ,B.organ_name         AS organ_name         -- erp片区名称
     -- ,B.comm_id          AS -- erp项目id
     ,B.comm_name          AS comm_name          -- erp项目名称
FROM
    (
        select
            CommId             -- 项目id  可关联maping表
             ,ManageKind        -- 管理性质
             ,ManageKindName    -- 管理性质名称
             ,ContractArea      -- 合同面积 合约面积
             ,ManageContractArea-- 管理口径合同面积  在管面积
             ,StateName         -- 业态  项目业态
             ,TakeOverArea      -- 接管面积
             ,Province          -- 省
             ,City              -- 市
             ,County            -- 区
        from dw.dim_project_base_info_d -- 项目维度表
    )A
    JOIN
    (
        SELECT
            organ_code -- erp片区id
             ,organ_name -- erp片区名称
             ,comm_id    -- erp项目id
             ,comm_name  -- erp项目名称
        FROM dw.dim_organ_mapping   -- 片区项目映射维度表
        GROUP BY
            organ_code -- erp片区id
               ,organ_name -- erp片区名称
               ,comm_id    -- erp项目id
               ,comm_name  -- erp项目名称
    )B
    ON A.CommId = B.comm_id
   JOIN
    (
        SELECT
            CommID
             ,count(1) as room_num -- 项目对应房间数量
        FROM dw.dim_room_d
        GROUP BY
            CommID
    )C
    ON A.CommId = C.CommID
where 1 = 1
    ${if(len(p_area) == 0,"","and organ_code = '" + p_area + "'")}


-- )t
-- group by
-- ${if(len(p_area) == 0,"t.organ_name","t.comm_name")} -- 片区/项目
-- -- ,t.organ_name          -- erp片区名称
-- -- ,t.comm_name             -- erp项目名称
-- ,${if(len(p_area) == 0,"'-'","t.ManageKindName")}  -- 管理性质名称
-- ,${if(len(p_area) == 0,"'-'","t.StateName")} -- 业态  【项目业态】
;






-- 【筛选框数据集: dic_erp片区】


SELECT DISTINCT
    organ_code AS 片区id,
    organ_name AS 片区名称
FROM dim_organ_mapping
;


